/* Parent Hierarchy */
.Tailors_card {
  background-color: #fff;
  box-shadow: 0px 0px 4px #00000029;
  overflow: hidden;
  padding: 10px;
  height: 100%;
}

.Tailors_card .card-body {
  flex: 1 1 auto;
  padding: var(--bs-card-spacer-y) var(--bs-card-spacer-x);
  color: var(--bs-card-color);
  padding: 0px;
}

.Tailors_card .Tailors_card__container {
  border: none;
  height: 100%;
}

/* Image Section */
.Tailors_card .Tailors_card__image-wrapper {
  position: relative;
  margin-bottom: 20px;
  aspect-ratio: 1 / 0.4;

  border-radius: 5px;
  overflow: hidden;
}

.Tailors_card .Tailors_card__image-wrapper:after {
  content: "";
  position: absolute;
  left: 0px;
  bottom: 0px;
  right: 0px;
  background: transparent
    linear-gradient(180deg, #1a1a1a00 0%, #262626a0 44%, #191818 100%) 0% 0%
    no-repeat padding-box;
  width: 100%;
  height: 40%;
}

.Tailors_card .Tailors_card__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.3s;
}

.Tailors_card:hover .Tailors_card__image {
  transition: 0.3s;
  transform: scale(1.1);
}

.Tailors_card .Tailors_card__overlay-top {
  position: absolute;
  bottom: 0px;
  left: 0;
  right: 0;
  display: flex;
  justify-content: space-between;
  padding: 6px 1%;
  color: white;
  z-index: 1;
}

.Tailors_card .Tailors_card__overlay-top .Tailors_card__rating {
  font-size: 14px;
  display: flex;
  align-items: center;
  color: #fff;
  font-weight: 500;
}

.Tailors_card .Tailors_card__status {
  font-weight: 600;
  font-size: 13px;
  display: flex;
  align-items: center;
  background: #70707087;
  padding: 2px 8px;
  border-radius: 4px;
  backdrop-filter: blur(8px);
}

.Tailors_card .Tailors_card__status-icon {
  font-size: 8px;
  margin-right: 5px;
}

/* Body Section */
.Tailors_card .Tailors_card__logo-box {
  width: 45px;
  height: 45px;
  aspect-ratio: 1/1;
  border: 1px solid #7070701a;
  border-radius: 4px;
}

.Tailors_card .Tailors_card__logo-box .tailor_logo_img {
  width: 100%;
  height: 100%;
}

.Tailors_card .Tailors_card__title {
  font-size: 17px;
  font-weight: 700;
  color: #bb0000;
  margin: 0;

  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.Tailors_card .Tailors_card__share-icon {
  color: #888;
  background: #ddd;
  padding: 5px;
  font-size: 27px;
  border-radius: 50px;
  width: 25px;
  height: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
  aspect-ratio: 1/1;
}

.Tailors_card .Tailors_card__divider {
  margin: 10px 0;
  opacity: 1;
  border: 1px solid #ddd;
}
.Tailors_card .Tailors_card__hours {
  display: flex;
  gap: 5px;
}
.Tailors_card .Tailors_card__hours .working_hours_text {
  color: #000000;
  font-size: 14px;
  display: flex;
  justify-content: space-between;
  width: 100%;
  gap: 31px;
  font-weight: 500;
}
.Tailors_card .Tailors_card__description {
  font-size: 13px;
  font-weight: 600;
  color: #343434;
  margin-top: 10px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2; /* number of lines to show */
  line-clamp: 2;
  -webkit-box-orient: vertical;
}
/* Service Tags */
.Tailors_card .Tailors_card__services-title {
  font-size: 14px;
  font-weight: 600;
  color: #606060;
}
.Tailors_card .Tailors_card__tag {
  background: #eeeeee 0% 0% no-repeat padding-box;
  border: 1px solid #7070704a;
  border-radius: 3px;
  padding: 4px 12px;
  font-size: 12px;
  font-weight: 500;
  color: #000000;
}

/* Footer link */
.Tailors_card .Tailors_card__link {
  color: #000;
  font-weight: 700;
  text-decoration: underline !important;
  text-underline-offset: 2px;
  font-size: 17px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.Tailors_card:hover .Tailors_card__link {
  color: #fff;
}

.Tailors_card .card-footer {
  background-color: transparent;

  border-top: none;
  border-radius: 5px !important;
}

.Tailors_card:hover .card-footer {
  background-color: #bb0000;
}

@media (min-width: 0px) and (max-width: 575px) {
  .Tailors_card .Tailors_card__hours .working_hours_text {
    font-size: 12px;
    gap: 0%;
  }

  .Tailors_card .Tailors_card__title {
    font-size: 13px;
  }
  .Tailors_card .Tailors_card__logo-box {
    width: 35px;
    height: 35px;
  }

  .Tailors_card .Tailors_card__tag {
    padding: 2px 1px;
    font-size: 10px;
  }

  .Tailors_card .Tailors_card__link {
    font-size: 12px;
  }

  .Tailors_card .Tailors_card__overlay-top .Tailors_card__rating {
    font-size: 10px;
  }

  .Tailors_card .Tailors_card__status {
    font-size: 10px;
  }

  .Tailors_card .Tailors_card__services-title {
    font-size: 12px;
  }
  .Tailors_card .Tailors_card__tag {
    padding: 1px 4px;
    font-size: 12px;
  }
}

@media (min-width: 576px) and (max-width: 991px) {
  .Tailors_card .Tailors_card__hours .working_hours_text {
    font-size: 11px;
    gap: 0%;
  }

  .Tailors_card .Tailors_card__title {
    font-size: 13px;
  }
  .Tailors_card .Tailors_card__logo-box {
    width: 35px;
    height: 35px;
  }

  .Tailors_card .Tailors_card__tag {
    padding: 1px 4px;
    font-size: 12px;
  }

  .Tailors_card .Tailors_card__link {
    font-size: 12px;
  }

  .Tailors_card .Tailors_card__overlay-top .Tailors_card__rating {
    font-size: 10px;
  }

  .Tailors_card .Tailors_card__status {
    font-size: 10px;
  }

  .Tailors_card .Tailors_card__services-title {
    font-size: 12px;
  }
}
